Subject: arthemis and dragonflies

From: [email-masked]
Date: Fri, 28 Jun 1996 13:09:27 -0500

Limenitis arthemis in the north US has a striking white band on the
black.  At exactly the same flight period we have two species of "black
and white" dragonflies that fly in the same habitat.  Does anyone know the
mimicry relationship here, why the dragonflies go to old urine as do the
butterflies, and what kind of choice the butterfly makes in overnighting.

Thanks,                 Woody at [email-masked]